Summary: Additional addons for Asterisk: the Open Source Linux PBX
Name: asterisk-addons12
Version: 1.2.9
Release: 16%{?dist}
Epoch: 1
License: GPL
Group: Applications/Internet
URL: http://www.asterisk.org/
Source0: http://ftp.digium.com/pub/asterisk/asterisk-addons-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: asterisk12 >= %{version}
BuildRequires: asterisk12-devel >= %{version}, mysql-devel, zlib-devel
Obsoletes: asterisk-addons < %{evr}
Conflicts: asterisk-addons, asterisk-addons14, asterisk-addons160, asterisk-addons161

%description
Asterisk is a complete PBX in software. It runs on Linux and provides
all of the features you would expect from a PBX and more. Asterisk
does voice over IP in three protocols, and can interoperate with
almost all standards-based telephony equipment using relatively
inexpensive hardware.
This package contains additional addons for asterisk.

%prep
%setup -q -n asterisk-addons-%{version}
%ifarch x86_64
perl -pi -e's,^CFLAGS=,CFLAGS=-fPIC ,' format_mp3/Makefile
%endif
perl -pi -e's,/lib/,/%{_lib}/,g' Makefile asterisk-ooh323c/Makefile.*

%build
make

cd asterisk-ooh323c
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/asterisk/modules/
make install INSTALL_PREFIX=%{buildroot}

cd asterisk-ooh323c
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/cdr_mysql.txt format_mp3/README
%{_libdir}/asterisk/modules/*.so

%changelog
* Sun Aug 16 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.9-16
- Rename to asterisk-addons12.

* Thu Jul  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.9-15
- Update to 1.2.9.

* Tue Jun 19 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.7-14
- Update to 1.2.7.

* Wed Apr 25 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.6-13
- Update to 1.2.6.

* Wed Oct 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.2.5-12
- Rebuild w/o Fedora Extras to avoid beta bits.
- Bump epoch to superseed beta bits.

* Thu Oct 19 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.5-11
- Update to 1.2.5.

* Fri Aug 25 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.4-10
- Update to 1.2.4.

* Sat Jun  3 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.3.

* Tue Mar  7 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.2.

* Mon Dec 12 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.1.

* Mon Nov 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.2.0.

* Sat Jul 16 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.9.

* Mon Jun 27 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.8.

* Mon Mar 07 2005 Mark Wormgoor <mark@wormgoor.com>
- Initial version
